Skip to main content
GET
/
v3
/
applications
/
{application_id}
/
catalog
/
values
List distinct values for a catalog entity
curl --request GET \
  --url https://api.example.com/v3/applications/{application_id}/catalog/values \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "items": [
      {
        "value": "gpt-4o",
        "first_seen": "2026-01-15T10:30:00Z",
        "last_seen": "2026-05-30T14:22:00Z",
        "row_count": 80000
      },
      {
        "value": "claude-3.5-sonnet",
        "first_seen": "2026-02-01T12:00:00Z",
        "last_seen": "2026-05-30T14:22:00Z",
        "row_count": 45000
      }
    ],
    "item_count": 2,
    "total": 2,
    "offset": 0,
    "page_size": 100,
    "page_count": 1,
    "page_index": 1
  },
  "api_version": "3.0",
  "kind": "PAGINATED"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

application_id
string<uuid>
required

application id path parameter

Query Parameters

entity_type
enum<string>
required

Type of entity to list values for. Type of entity in the catalog. attribute covers user-defined and system span attributes. The other types correspond to top-level trace columns.

Available options:
attribute,
agent_name,
span_type,
span_name
name
string
required

Name of the entity to list values for.

Allows you to search by any field.

limit
integer

Limit for the pagination

offset
integer

Offset for the pagination

Response

Paginated list of distinct values

Response object for paginated API responses.

api_version
enum<string>
default:3.0

API version of the response.

Available options:
2.0,
3.0
kind
enum<string>
default:PAGINATED

Type of response, indicating a paginated response.

Available options:
PAGINATED
data
object